過去 28 時間分のポストインサイトを取得する
curl --request GET \
--url https://api.x.com/2/insights/28hr \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/insights/28hr"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/insights/28hr', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"errors": [
{
"error": "<string>",
"tweets": [
"<string>"
]
}
],
"measurement": {
"metrics_time_series": [
{
"tweet_id": "1346889436626259968",
"value": {
"metric_values": [
{
"metric_type": "<string>",
"metric_value": 123
}
],
"timestamp": {
"iso8601_time": "<string>"
}
}
}
],
"metrics_total": [
{
"tweet_id": "1346889436626259968",
"value": [
{
"metric_type": "<string>",
"metric_value": 123
}
]
}
]
}
}
],
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}過去 28 時間分のポストインサイトを取得する
指定したポストの直近28時間分のエンゲージメント指標を取得します。
GET
/
2
/
insights
/
28hr
過去 28 時間分のポストインサイトを取得する
Authorizations
OAuth2UserTokenUserToken
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
28時間分の指標を取得する対象の PostId のリスト。
Required array length:
1 - 25 elementsこのツイートの一意の識別子。大きな整数を扱えない言語やツールでの問題を避けるため、文字列として返されます。
Pattern:
^[0-9]{1,19}$Example:
["20"]
メトリクスレスポンスの粒度。
Available options:
Daily, Hourly, Weekly, Total Example:
"Total"
履歴リクエストで取得するメトリクス。
Minimum array length:
1Available options:
AppInstallAttempts, AppOpens, DetailExpands, EmailTweet, Engagements, Follows, HashtagClicks, Impressions, Likes, LinkClicks, MediaEngagements, MediaViews, PermalinkClicks, ProfileVisits, QuoteTweets, Replies, Retweets, UniqueVideoViews, UrlClicks, UserProfileClicks, VideoCompletions, VideoPlayed25Percent, VideoPlayed50Percent, VideoPlayed75Percent, VideoStarts, VideoViews レスポンスに含める Engagement のフィールドを、カンマ区切りのリストで指定します。 Engagement オブジェクトで利用可能なフィールドです。
Minimum array length:
1Available options:
errors, measurement Example:
["errors", "measurement"]
Response
リクエストが成功しました。
Minimum array length:
1Show child attributes
Show child attributes
Minimum array length:
1IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) で定義された HTTP Problem Details オブジェクト。
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes